SignSecureSignSecure Docs
Form fields

Delete Single Form Field

Delete a specific form field. Document must be in `draft` status.

DELETE
/documents/{documentId}/fields/{fieldId}

Delete a specific form field. Document must be in draft status.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

documentId*string

The document ID

fieldId*string

The form field ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.signsecure.com/api/v1/documents/string/fields/string"
Empty
{
  "code": "INVALID_STATUS",
  "message": "Form fields can only be deleted on draft documents",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Document not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}